.project-edit-container
  .project-edit-errors
  .project-edit-content
    %div
      %h3.page-title
        = t("projects_section.global.project_settings")
      %p.light= t("projects_section.global.some_settings_such_as")
      %hr
      .panel-body
        = form_for @project, remote: true, html: { class: "edit_project form-horizontal" } do |f|
          %fieldset
            .form-group.project_name_holder
              = f.label :name, class: 'control-label' do
                = t("projects_section.global.project_name")
              .col-sm-10
                = f.text_field :name, placeholder: t("projects_section.global.example_project"), class: "form-control"

            .form-group
              = f.label :description, class: 'control-label' do
                = t("projects_section.global.project_description")
                %span.light (optional)
              .col-sm-10
                = f.text_area :description, placeholder: t("projects_section.global.awesome_project"), class: "form-control", rows: 3, maxlength: 250

            - if @project.repository.exists? && @project.repository.branch_names.any?
              .form-group
                = f.label :default_branch, t("projects_section.global.default_branch"), class: 'control-label'
                .col-sm-10= f.select(:default_branch, @repository.branch_names, {}, {class: 'select2 select-wide'})

          = render "visibility_level", f: f, visibility_level: @project.visibility_level, can_change_visibility_level: can?(current_user, :change_visibility_level, @project)

          %fieldset.features
            %legend
              = t("projects_section.global.labels")
            .form-group
              = f.label :label_list, t("projects_section.global.labels"), class: 'control-label'
              .col-sm-10
                = f.text_field :label_list, maxlength: 2000, class: "form-control"
                %p.hint= t("projects_section.global.separate_labels")

          %fieldset.features
            %legend
              = t("projects_section.global.features")
            .form-group
              = f.label :issues_enabled, t("projects_section.global.issues"), class: 'control-label'
              .col-sm-10
                .checkbox
                  = f.check_box :issues_enabled
                  %span.descr= t("projects_section.global.lightweight_tracking_system")

            - if Project.issues_tracker.values.count > 1
              .form-group
                = f.label :issues_tracker, t("projects_section.global.issues_tracker"), class: 'control-label'
                .col-sm-10= f.select(:issues_tracker, project_issues_trackers(@project.issues_tracker), {}, { disabled: !@project.issues_enabled })

              .form-group
                = f.label :issues_tracker_id, t("projects_section.global.project_name_or_id_in_tracker"), class: 'control-label'
                .col-sm-10= f.text_field :issues_tracker_id, disabled: !@project.can_have_issues_tracker_id?, class: 'form-control'

            .form-group
              = f.label :merge_requests_enabled, t("projects_section.global.merge_requests"), class: 'control-label'
              .col-sm-10
                .checkbox
                  = f.check_box :merge_requests_enabled
                  %span.descr= t("projects_section.global.submit_changes")

            .form-group
              = f.label :wiki_enabled, "Wiki", class: 'control-label'
              .col-sm-10
                .checkbox
                  = f.check_box :wiki_enabled
                  %span.descr= t("projects_section.global.documentation")

            .form-group
              = f.label :snippets_enabled, t("projects_section.global.snippets"), class: 'control-label'
              .col-sm-10
                .checkbox
                  = f.check_box :snippets_enabled
                  %span.descr= t("projects_section.global.share_code")

          .form-actions
            = f.submit t("projects_section.global.save_changes"), class: "btn btn-save"

    .danger-settings.js-toggle-container
      .centered-light-block
        %h3
          %i.icon-warning-sign
          = t("projects_section.global.dangerous_settings")

        %p= t("projects_section.global.project_settings_data_loss")
        = link_to '#', class: 'btn js-toggle-button' do
          = t("projects_section.global.show_them_to_me")
          %i.icon-chevron-down

      .js-toggle-content.hide
        - if can? current_user, :archive_project, @project
          .panel.panel-default.panel.panel-warning
            .panel-heading
              - if @project.archived?
                = t("projects_section.global.unarchive_project")
              - else
                = t("projects_section.global.archive_project")

            .panel-body
              - if @project.archived?
                %p
                  = t("projects_section.global.unarchiving_the_project_note")
                  %br
                  = t("projects_section.global.the_project_can_be_commited")
                  %br
                  %strong= t("projects_section.global.active_project_in_search")
                = link_to t("projects_section.global.unarchive"), unarchive_project_path(@project),
                    data: { confirm: t("projects_section.global.are_you_sure_to_unarchive")},
                    method: :post, class: "btn btn-remove"
              - else
                %p
                  = t("projects_section.global.archiving_the_project_ro")
                  %br
                  = t("projects_section.global.it_is_hidden_from_dashboard")
                  %br
                  %strong= t("projects_section.global.archived_project_no_commits")
                = link_to t("projects_section.global.archive_project"), archive_project_path(@project),
                    data: { confirm: t("projects_section.global.are_you_sure_to_archive") },
                    method: :post, class: "btn btn-warning"
        - else
          .nothing-here-block= t("projects_section.global.only_the_project_owner_can_archive")

        .panel.panel-default.panel.panel-warning
          .panel-heading= t("projects_section.global.rename_project")
          .errors-holder
          .panel-body
            = form_for(@project, html: { class: 'form-horizontal' }) do |f|
              .form-group
                = f.label :path, class: 'control-label' do
                  %span= t("projects_section.global.path")
                .col-sm-9
                  .form-group
                    .input-group
                      = f.text_field :path, class: 'form-control'
                      %span.input-group-addon .git
                  %ul
                    %li= t("projects_section.global.be_careful")
                    %li= t("projects_section.global.you_will_need_to_update_your_repo")
              .form-actions
                = f.submit t("projects_section.global.rename"), class: "btn btn-warning"

        - if can?(current_user, :change_namespace, @project)
          .panel.panel-default.panel.panel-danger
            .panel-heading= t("projects_section.global.transfer_project")
            .errors-holder
            .panel-body
              = form_for(@project, url: transfer_project_path(@project), method: :put, remote: true, html: { class: 'transfer-project form-horizontal' }) do |f|
                .form-group
                  = f.label :namespace_id, class: 'control-label' do
                    %span= t("projects_section.global.namespace")
                  .col-sm-10
                    .form-group
                      = f.select :namespace_id, namespaces_options(@project.namespace_id), { prompt: t("projects_section.global.choose_a_namespace") }, { class: 'select2' }
                    %ul
                      %li= t("projects_section.global.be_careful_namespace")
                      %li= t("projects_section.global.transfer_only_managed_projects")
                      %li= t("projects_section.global.you_will_need_to_update_your_repo")
                .form-actions
                  = f.submit t("projects_section.global.transfer"), class: "btn btn-remove"
        - else
          .nothing-here-block= t("projects_section.global.only_the_project_owner_can_transfer")

        - if can?(current_user, :remove_project, @project)
          .panel.panel-default.panel.panel-danger
            .panel-heading= t("projects_section.global.remove_project")
            .panel-body
              %p
                = t("projects_section.global.removing_the_project_will_delete_the_repo")
                %br
                %strong= t("projects_section.global.removed_projects_cannot_be_restored")

              = link_to t("projects_section.global.remove"), @project, data: { confirm: remove_project_message(@project) }, method: :delete, class: "btn btn-remove"
        - else
          .nothing-here-block= t("projects_section.global.only_project_owner_can_remove_a_project")

.save-project-loader.hide
  %center
    %h2
      %i.icon-spinner.icon-spin
      = t("projects_section.global.saving_project")
    %p= t("projects_section.global.please_wait_a_moment")
